Subject: [Mgs] Mirror

From: Thomas Gunderson via Mgs <[email-masked]>
Date: Wed, 25 Mar 2020 16:52:10 -0400

Good afternoon,

Spending sometime working on my car. I need to tighten my fender mirror. It sits just beyond the windshield. On the left side. I think it had been replaced with a moss replacement mirror. Does anyone know the size of the nut? I have had to use a long wrench extention and not having a good time getting it to grab the nut. 
Any thoughts?

Tom Gunderson 
1957  1500 mga rst

Sent from my iPhone X

_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]